
/* Should trigger if the player has a stronghold BEFORE Imoen joins the party in Spellhold */

/* STRONGHOLD COMMENT - RADIANT HEART */

// *** Radiant Heart ***

APPEND IMOEN2J
	IF ~Global("MRStrongholdTalkPal","GLOBAL",1)~ THEN BEGIN MRPalStrong1
		SAY ~Heh, so you're officially a paladin now. Proud of yourself, arentcha?~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkPal","GLOBAL",2)~ GOTO MRPalStrong2
	END

	IF ~~ THEN BEGIN MRPalStrong2
		SAY ~D'oh, my fault, stupid question. All paladins feel proud of themselves!~
		=
		~No matter what they *really* do...~
		++ ~Yes, I am proud. I have worked hard to get to this point.~ GOTO MRPalStrongCor1
		++ ~Are you implying something, Imoen?~ GOTO MRPalStrongCor1
		++ ~I have to agree with you on that. Paladins are not what they used to be.~ GOTO MRPalStrongCor2
		++ ~I don't expect someone like you to understand how important our work is.~ GOTO MRPalStrongStuffy
		++ ~Not now, Imoen.~ GOTO MRPalStrongEnd
	END

	IF ~~ THEN BEGIN MRPalStrongEnd
		SAY ~Sorry. Maybe later.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRPalStrongStuffy
		SAY ~'Like me'? (Her eyebrow arches up as she crosses her arms across her chest) You better mean 'intelligent and witty'.~
		IF ~Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~And sexy!~ GOTO MRPalStrongSexy1
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~And sexy!~ GOTO MRPalStrongSexy2
		++ ~Well, uh... yes, of course.~ GOTO MRPalStrongSexy1
		++ ~No. Chaotic and irresponsible.~ GOTO MRPalStrongStuffy1
		IF ~Gender(Player1,MALE)~ THEN REPLY ~More like ignorant and idiotic.~ GOTO MRPalStrongStuffy2M
		++ ~Actually, nevermind.~ GOTO MRPalStrongSexy1
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~More like ignorant and idiotic.~ GOTO MRPalStrongStuffy2F
	END

	IF ~~ THEN BEGIN MRPalStrongStuffy1
		SAY ~I'm not-- well, maybe I'm a little... (She glares at you when you make a small sound of disbelief) Okay, FINE, I'm chaotic and irresponsible!~
		=
		~Just keep walking, tin-<PRO_MANWOMAN>.~
		=
		~(As you stride off, you hear her mutter sourly) I *hate* it when <PRO_HESHE>'s right!~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRPalStrongStuffy2M
		SAY ~Oh really! Is that what you think of me?~
		=
		~Well, Mister High-and-Mighty, I'll just keep my 'idiotic' comments to myself from now on.~
		IF ~~ THEN DO ~SetGlobal("ImoenRomanceActive","GLOBAL",4)~ EXIT
	END

	IF ~~ THEN BEGIN MRPalStrongStuffy2F
		SAY ~Oh really! Is that what you think of me?~
		=
		~Well, Miss High-and-Mighty, I'll just keep my 'idiotic' comments to myself from now on.~
		IF ~~ THEN DO ~SetGlobal("ImoenRomanceActive","GLOBAL",4)~EXIT
	END


	IF ~~ THEN BEGIN MRPalStrongSexy1
		SAY ~Ooooh no you don't! You are *not* getting away that easily.~
		IF ~~ THEN GOTO MRPalStrongCor1
	END

	IF ~~ THEN BEGIN MRPalStrongSexy2
		SAY ~'Sexy'? I'm the *last* person you should be thinkin' that about.~
		=
		~Y'know, let's just keep walking and forget you said that.~
		=
		~And don't walk too close... (She quickly scoots away, unconsciously wiping her hands off on her robe)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRPalStrongCor1
		SAY ~In case you haven't noticed, there's an awful lotta 'holier than thou' types who are anything but holy.~
		++ ~You're right. Paladins are not what they used to be.~ GOTO MRPalStrongCor2
		++ ~You must dirty your hands if you wish to clean away filth.~ GOTO MRPalStrongCor3
		++ ~Not now, Imoen.~ GOTO MRPalStrongEnd
		++ ~I have no idea what you're talking about. Paladins are warriors of goodness and truth.~ GOTO MRPalStrongProud
	END

	IF ~~ THEN BEGIN MRPalStrongProud
		SAY ~Uh huh. And you know what?~
		IF ~~ THEN GOTO MRPalStrongCor2
	END

	IF ~~ THEN BEGIN MRPalStrongCor3
		SAY ~What? That is the lamest thing I've ever heard.~
		IF ~~ THEN GOTO MRPalStrongCor2
	END

	IF ~~ THEN BEGIN MRPalStrongCor2
		SAY ~The higher y'all climb up on that pedestal of righteousness, the easier it is for you to fall.~
		=
		~And the bigger the mess when you hit the bottom.~
		++ ~We do the Gods' work, but we're still human. We make mistakes.~ GOTO MRPalStrongCor4
		++ ~There are scoundrels and liars in every walk of life. Just look at Irenicus.~ GOTO MRPalStrongCor4
	END

	IF ~~ THEN BEGIN MRPalStrongCor4
		SAY ~I know, I know. (She sighs, shaking a loose strand of hair out of her face) Sorry.~
		=
		~It's just frustrating to see people take a great opportunity to improve the world and... and *ruin* it.~
		IF ~Global("ImoenRomanceActive","GLOBAL",2) ~ THEN GOTO MRPalStrongCor5
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN GOTO MRPalStrongCor55
	END

	IF ~~ THEN BEGIN MRPalStrongCor5
		SAY ~I know *you're* not like that, sweetie. (She flashes you a smile and slips her arm through your elbow as she steps close.)~
		=
		~ It's a lovely building - really! And I'll try to keep my hands outta the coffers.~
		=
		~(She plants a small kiss on your lips.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRPalStrongCor55
		SAY ~I know *you're* not like that, <CHARNAME>. It's a lovely building - really!~
		=
		~And I'll try to keep my hands outta the coffers. Honest.~
		IF ~~ THEN EXIT
	END
END

/* STRONGHOLD COMMENTS - TEMPLES */

// 0901 Temple of Helm
// 0902 Temple of Lathander
// 0904 Temple of Talos


APPEND IMOEN2J
	IF ~Global("MRStrongholdTalkCler","GLOBAL",1)~ THEN BEGIN MRCleStrong
		SAY ~So you finally joined a temple...~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkCler","GLOBAL",2)~ GOTO MRCleStrong2
	END

	IF ~~ THEN BEGIN MRCleStrong2
		SAY ~I always thought you were more of a 'freelance' cleric.~
		IF ~AreaCheck("AR0901")~ THEN GOTO MRCleStrongHelm
		IF ~AreaCheck("AR0902")~ THEN GOTO MRCleStrongLath
		IF ~AreaCheck("AR0904")~ THEN GOTO MRCleStrongTal
	END

	IF ~~ THEN BEGIN MRCleStrongHelm
		SAY ~These Helm people are way too obsessed with their great eyes an' all. Er... no offense.~
		IF ~~ THEN GOTO MRCleStrong3
	END

	IF ~~ THEN BEGIN MRCleStrongLath
		SAY ~At least you joined a pleasant bunch. Kinda pansy for my taste though. Uh... no offense or anything.~
		IF ~~ THEN GOTO MRCleStrong3
	END

	IF ~~ THEN BEGIN MRCleStrongTal
		SAY ~But, ugh, did ya have to join up these nasty sods obsessed with destruction an' all that? Uh... no offense or anything.~
		IF ~~ THEN GOTO MRCleStrong3
	END

	IF ~~ THEN BEGIN MRCleStrong3
		SAY ~Oh well. At least it's a nice place for you to rest, hmm?~
		++ ~Imoen, it's much more than that. Here my spirit feels at ease.~ GOTO MRCleStrongNeu
		++ ~Yes it is. I feel comfortable here.~ GOTO MRCleStrongNeu
		++ ~Well, I don't really like being here, but that's the price for having good contacts inside the clergy.~ GOTO MRCleStrongNeu
		++ ~Take back your words at once. I won't allow such blasphemy in my presence.~ GOTO MRCleStrongConvert
		++ ~You should follow the ways of the true god, like me, and leave that heathen life of yours behind.~ GOTO MRCleStrongConvert
		++ ~Yeah, whatever. Let's get out of here, all these clerics make me sick.~ GOTO MRCleStrongHyp
	END

	IF ~~ THEN BEGIN MRCleStrongHyp
		SAY ~Yeah, I knew you still were an 'independent soul'. (She winks at you.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRCleStrongConvert
		SAY ~Sure, like *that*'ll ever happen... (She rolls her eyes.)~
		IF ~~ THEN GOTO MRCleStrong4
	END

	IF ~~ THEN BEGIN MRCleStrongNeu
		SAY ~Ah, so it's like that, huh?~
		IF ~~ THEN GOTO MRCleStrong4
	END

	IF ~~ THEN BEGIN MRCleStrong4
		SAY ~Y'know, I've never given much thought to gods. I don't really believe in all that wash.~
		=
		~Oh, I know they exist - better than most people do, even. Hard to ignore, bein' a half-goddess myself. What I mean is that I've always mostly ignored them.~
		=
		~You leave them alone, they leave you alone. We don't bother each other, y'see?~
		~Oh well... let's get outta here. All these fanatics make me sick-- uh, I mean... I want some fresh air.~
		IF ~~ THEN EXIT
	END
END

/* STRONGHOLD COMMENT - THIEF */


APPEND IMOEN2J
	IF ~Global("MRStrongholdTalkThie","GLOBAL",1)~ THEN BEGIN MRThiefStrong
		SAY ~So we run a thieves guild now, huh? Not bad, not bad at all.~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkThie","GLOBAL",2)~ GOTO MRThiefStrong1
	END

	IF ~~ THEN BEGIN MRThiefStrong1
		SAY ~But I hope you're not killing anyone, <CHARNAME>. Thieving is fun, but killin' is another matter. And pressing the poor folk isn't right either. I hope you're only stealin' from those that can spare it.~
		=
		~Otherwise I might hafta take control of things and make some changes. (She looks thoughtful) Actually, that might be fun!~
		IF ~Gender(Player1,MALE)~ THEN REPLY ~You don't have to worry. I run this place as righteously as a thief can in his ways.~ GOTO MRThiefStrongGood
		IF ~Gender(Player1,FEMALE)~ THEN REPLY ~You don't have to worry. I run this place as righteously as a thief can in her ways.~ GOTO MRThiefStrongGood
		++ ~Give an order to *my* men and you will be thinking about it for a long time in *my* dungeon, Imoen.~ GOTO MRThiefStrongExit
		++ ~If we need the money, there are things that are unavoidable sometimes.~ GOTO MRThiefStrongMoney
		++ ~I do what is most profitable. Don't question my ways.~ GOTO MRThiefStrongPreExit
		++ ~Well, I might be doing *some* of those things. But I can change that right now.~ GOTO MRThiefStrongRedeem
		++ ~I've built this guild on blood and fear. The gutters run red, my chests fill with gold!~ GOTO MRThiefStrongBad
	END

	IF ~~ THEN BEGIN MRThiefStrongExit
		SAY ~Hmph.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRThiefStrongBad
		SAY ~Alright, I don't want to have anything to do with your pitiful guild of barbarians. The art of thievery deserves some respect, <CHARNAME>.~
		=
		~It's one of the few things that *really* needs a code of honor, and you're blatantly disregarding that.~
		++ ~Huh? I didn't know you were so proud of 'stealing'.~ GOTO MRThiefStrongProud
		++ ~Shut it, Imoen. I don't have time for a morality lecture.~ GOTO MRThiefStrongPreExit
		++ ~You sound so high and mighty. Quit it.~ GOTO MRThiefStrongPreExit
	END

	IF ~~ THEN BEGIN MRThiefStrongRedeem
		SAY ~Do it! If you don't want to be the shame of all thieves, leave those activities to someone without any respect for the job.~
		++ ~Huh? I didn't know you were so proud of 'stealing'.~ GOTO MRThiefStrongProud
		++ ~Sure, whatever. Let's go.~ GOTO MRThiefStrongExit
		++ ~You sound so high and mighty. Quit it.~ GOTO MRThiefStrongPreExit
		++ ~Shut it, Imoen. I don't have time for a morality lecture.~ GOTO MRThiefStrongPreExit
	END

	IF ~~ THEN BEGIN MRThiefStrongPreExit
		SAY ~Oh well excuse me, Shadowmaster! The all-time expert thief has spoken!~
		=
		~Pfeh, don't know why I bother.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRThiefStrongMoney
		SAY ~Yeah, but we don't need the money anymore, so you can leave those activities for those with no respect for the job.~
		++ ~Huh? I didn't know you were so proud of 'stealing'...~ GOTO MRThiefStrongProud
		++ ~Sure, whatever. Let's go.~ GOTO MRThiefStrongExit
		++ ~You sound so high and mighty. Quit it.~ GOTO MRThiefStrongPreExit
		++ ~Shut it, Imoen. I don't have time for a morality lecture.~ GOTO MRThiefStrongPreExit
	END

	IF ~~ THEN BEGIN MRThiefStrongGood
		SAY ~That's good t'hear. I just can't stand people who call themselves 'thieves' and don't respect the job at all.~
		++ ~Huh? I didn't know you were so proud of 'stealing'...~ GOTO MRThiefStrongProud
		++ ~Sure, whatever. Let's go.~ GOTO MRThiefStrongExit
		++ ~You sound so high and mighty. Quit it.~ GOTO MRThiefStrongPreExit
		++ ~Shut it, Imoen. I don't have time for a morality lecture.~ GOTO MRThiefStrongPreExit
	END

	IF ~~ THEN BEGIN MRThiefStrongProud
		SAY ~Yeah, and why not? When done correctly it's an art, I tell ya. 'Course I should be proud of something I've been doing nearly all my life, huh?~
		=
		~But then there's these good for nothing criminals that go around backstabbing peasants for a few dirty coins. And they call themselves thieves!~
		=
		~A thief is an artist that does things in a very special way, not a bully who abuses peasants and blackmails poor sods that don't deserve it. (She winks at you) Remember that! So sayeth the wise Imoen!~
		IF ~~ THEN EXIT
	END
END

/* STRONGHOLD COMMENT - FIGHTER-TYPES */

APPEND IMOEN2J
	IF ~Global("MRStrongholdTalkFigh","GLOBAL",1)~ THEN BEGIN MRFightStrong
		SAY ~Wow so this is your place, "<PRO_LADYLORD> <CHARNAME>"? It's huge!~
		=
		~(Imoen sighs) Finally, a castle of my own. Every lady should have a castle. Well, a keep. It's a castle in miniature. Just the way I like it.~
		=
		~(Ignoring you, she steps into the main room and takes a look around.)~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkFigh","GLOBAL",2)
		ClearAllActions()
		StartCutSceneMode()
		StartCutScene("ImArnise")~ EXIT
	END

	IF WEIGHT #666
	~Global("MRStrongholdTalk","GLOBAL",3)~ THEN BEGIN MRFightStrong2
		SAY ~Lady Imoen. Yeah, sounds great. Hmmm...~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalk","GLOBAL",4)~ GOTO MRFightStrong3
	END

	IF ~~ THEN BEGIN MRFightStrong3
		SAY ~It's dark, though. Kinda creepy with this low light. Hey, Major Domo! Get me a sandwich!~
		IF ~InParty("Nalia")~THEN EXTERN NALIAJ MRFightStrong3
		IF ~!InParty("Nalia")~ THEN GOTO MRFightStrong4
	END

	IF ~~ THEN BEGIN MRFightStrong4
		SAY ~Hmm, d'you think this Nalia would mind if I make some changes to the decor? Uh, wait a minute... she still lives here, doesn't she?~
		=
		~I'll have to talk to her. With my help she'll have the place a true lady deserves!~
		=
		~(She keeps looking around while talking to herself) Oh but just look at that wood... it's nearly rotten! And that wall... hmm, a purple curtain would be nice there. Where's my sandwich?~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRFightStrong5
		SAY ~Huh? Oh, oh yeah, of course, what was I thinking?~
		=
		~But anyway, you should seriously consider changing the decor. Maybe adding some feminine touches for the place! Bare walls almost falling down, all that rotten wood... it's just something a lady would *not* have as a home!~
		IF ~~ THEN EXTERN NALIAJ MRFightStrong5
	END

	IF ~~ THEN BEGIN MRFightStrong6
		SAY ~Bah, details! Come, I'll tell you what I have in mind... (Imoen passes her arm around Nalia's shoulders and starts talking about curtains.)~
		IF ~~ THEN EXIT
	END
END

APPEND NALIAJ
	IF ~~ THEN BEGIN MRFightStrong3
	SAY ~Umm, Imoen, it's still my home. <CHARNAME> is only as a kind of... a figurehead. No offense intended, <CHARNAME>.~
	IF ~~ THEN EXTERN IMOEN2J MRFightStrong5
	END

	IF ~~ THEN BEGIN MRFightStrong5
		SAY ~Well, it did just suffer an invasion of trolls...~
		IF ~~ THEN EXTERN IMOEN2J MRFightStrong6
	END
END


/* STRONGHOLD COMMENT - UMAR HILLS */

// *** Umar hills ***

APPEND IMOEN2J
	IF WEIGHT #666
	~Global("MRStrongholdTalkUmar","GLOBAL",1)~ THEN BEGIN MRStrongUm
	SAY ~Such a pretty village. Peaceful.~
	IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkUmar","GLOBAL",2)~ GOTO MRStrongUm1
	END

	IF ~~ THEN BEGIN MRStrongUm1
		SAY ~So you protect the local forest, hmm?~
		=
		~An' where's yer cabin?~
		++ ~To the west, it's a short walk from here.~ GOTO MRStrongUmCabin
		++ ~Why do you want to know?~ GOTO MRStrongUmWhy
		++ ~It's near, but we don't have the time to go there.~ GOTO MRStrongUmExit1
		++ ~That's nothing you should care about, Imoen. Keep walking.~ GOTO MRStrongUmExit2
	END

	IF ~~ THEN BEGIN MRStrongUmExit2
		SAY ~(Imoen sighs) Yes, <PRO_LADYLORD> of the Moose and Squirrels, whatever you say.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongUmExit1
		SAY ~We can't spare five ridiculous little minutes? (Imoen sighs) Fine, whatever.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongUmWhy
		SAY ~Don't know. I'm curious. I wanna see it.~
		++ ~To the west, it's a short walk from here.~ GOTO MRStrongUmCabin
		++ ~It's near, but we don't have the time to go there.~ GOTO MRStrongUmExit1
		++ ~That's nothing you should care about, Imoen. Just keep walking.~ GOTO MRStrongUmExit2
	END

	IF ~~ THEN BEGIN MRStrongUmCabin
		SAY ~Great! Let's go check it out!~
		IF ~~ THEN EXIT
	END

	IF ~Global("MRStrongholdTalkRan","GLOBAL",3)~ THEN BEGIN MRStrongUmCabin1
		SAY ~Ohh, what a lovely place...~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkRan","GLOBAL",4)~ GOTO MRStrongUmCabin2
	END

	IF ~~ THEN BEGIN MRStrongUmCabin2
		SAY ~Silent, comfy... a nice place to call 'home'.~
		=
		~(Imoen realizes what she just said, and her eyes widen.)~
		=
		~<CHARNAME>, it's... it's home! This is a place to call home, the 'somewhere to go' when we settle down!~
		=
		~It... it sounds so strange...~
		++ ~Maybe. But do you think you could live in a place like this?~ GOTO MRStrongUmCould
		IF ~Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~(Embrace her from behind and whisper to her ear) Just imagine it, Imoen. Spending the rest of our lives together in here.~ GOTO MRStrongUmTogether
		++ ~Imoen, it's *MY* home. Find yours somewhere else.~ GOTO MRStrongUmShare
		++ ~I don't intend to protect these forests forever, so I wouldn't consider this 'home', Imoen.~ GOTO MRStrongUmShare
		++ ~Well, I don't have a mind to 'settle down' any time soon. I don't think I'll ever settle down, in fact.~ GOTO MRStrongUmSettle
		++ ~I'd love to stay here for the rest of my days, but we have unfinished business. We should get moving.~ GOTO MRStrongUmUnfinished
	END

	IF ~~ THEN BEGIN MRStrongUmUnfinished
		SAY ~(Imoen sighs) You're right. Let's go.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongUmSettle
		SAY ~Well, honestly I've never really thought of it. I mean, I've thought of having a *home*, but not about *living* somewhere.~
		=
		~I guess the road is our home, after all. But it's good knowing there's someplace you can go back to, wherever you are.~
		=
		~I gotta admit I can't see myself staying in one place for too long. I need to be moving all the time. I'm like one of those nomads in the novels we read in Candlekeep.~
		=
		~Speaking of which, we should be doing some serious traveling right now.~
		=
		~(With a last glance to the cabin, Imoen sighs and motions toward the exit.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongUmShare
		SAY ~(She huffs) You spoilsport...~
		=
		~I guess the road is our home, after all. But it's nice to know there's someplace that I can go back to, wherever I am.~
		=
		~I gotta admit that I can't see myself staying in one place for too long. I need to be moving all the time, like one of those nomads in the novels we read in Candlekeep.~
		=
		~Speaking of which, we should be doing some serious traveling right now.~
		=
		~(With a last glance to the cabin, Imoen sighs and motions toward the exit, shaking her head.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongUmTogether
		SAY ~Haha, ya serious? I'd *die* of boredom here! (She kisses your hand in an attempt to soften her reply.)~
		=
		~Actually, I doubt I could ever stay someplace for too long. I just like the idea of having somewhere to go no matter where I am. Like, "I'm tired, I'll go home," y'know what I mean? I love that idea.~
		=
		~I need to be moving all the time, at least for now. I'm like one of those nomads in the novels we read in Candlekeep.~
		=
		~Speaking of which, we should be doing some serious traveling right now...~
		=
		~(With a last glance to the cabin, Imoen sighs and motions toward the exit, shaking her head.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongUmCould
		SAY ~Why ya say that?~
		++ ~I've always imagined you ruling a palace, not living quietly in a tiny cabin.~ GOTO MRStrongUmGrand
		++ ~For one, you would get *very* bored. And I know that *I* would suffer the consequences of that.~ GOTO MRStrongUmBored
		++ ~I don't really know. I just felt the need to say something.~ GOTO MRStrongUmDumb
		++ ~Because what you really deserve is some filthy sewers, like the rat you are!~ GOTO MRStrongUmRude
	END

	IF ~~ THEN BEGIN MRStrongUmGrand
		SAY ~Oooh a *palace*! That *does* sound good!~
		=
		~(She taps her fingertip against her chin) Now where would we find one of those?~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongUmBored
		SAY ~Hah! You prat! (She playfully punches your shoulder) Well, just make sure ya keep me entertained, and we won't have that problem, now will we?~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongUmDumb
		SAY ~Uh, well... good for you.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongUmRude
		SAY ~(Imoen is taken aback by your reply, then burst out in laughter) Well, that was random! Jeez, you can be such a clown. Don't get used to talkin' to me like that, <PRO_LADYLORD> Poopmaster!~
		=
		~Anyways, you're having too much fun. Let's go now.~
		IF ~~ THEN EXIT
	END

END

/* STRONGHOLD COMMENT - PLAYHOUSE */

APPEND IMOEN2J
	IF WEIGHT #666
	~Global("MRStrongholdTalkBard","GLOBAL",1)~ THEN BEGIN MRStrongPlay
		SAY ~You own a playhouse? I can't imagine you'd have the time to spend running it - y'know, with the whole Irenicus thing, I mean.~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkBard","GLOBAL",2) ~ GOTO MRStrongPlay1
	END

	IF ~~ THEN BEGIN MRStrongPlay1
		SAY ~So, you had time to get this place *and* earn the money to come and rescue me? You could have hurried a little more, dontcha think?~
		++ ~Actually, it started as a way of earning money. (tell her the entire playhouse story.)~ GOTO MRStrongPlayStory
		++ ~Well, this playhouse contributed to the amount.~ GOTO MRStrongPlay3
		++ ~I had to be prepared, Imoen. We've talked about this already.~ GOTO MRStrongPlayPrepare
		++ ~I could, but didn't want to. And I'm beginning to remember why now.~ GOTO MRStrongPlayRude
		++ ~If I wanted your opinion, I'd ask for it. Be quiet.~ GOTO MRStrongPlayRude
	END

	IF ~~ THEN BEGIN MRStrongPlayRude
		SAY ~Yeah, yeah. (Imoen rolls her eyes, pursing her lips, and goes back to examining the surroundings.)~
		=
		~Jerk.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongPlayPrepare
		SAY ~Yeah, well... the more preparing you did, the more I agonized inside a cell, y'see?~
		IF ~~ THEN GOTO MRStrongPlay2
	END

	IF ~~ THEN BEGIN MRStrongPlay3
		SAY ~Yeah well, whatever you say.~
		IF ~~ THEN GOTO MRStrongPlay2
	END

	IF ~~ THEN BEGIN MRStrongPlayStory
		SAY ~Are you telling me... that you got to travel through THE PLANES *without me*!?~
		=
		~How many more *great* things have I missed? Did you ride a pegasus, visit Calimshan, or kill some dragons?~
		++ ~Heh, actually, that last thing...~ GOTO MRStrongPlayStory2
		++ ~Well it was quite the trial getting the money, but you know that already.~ GOTO MRStrongPlayStory3
		++ ~Yeah, I wanted to do all those things without having you pestering me.~ GOTO MRStrongPlayRude
		++ ~That's none of your concern.~ GOTO MRStrongPlayRude
	END

	IF ~~ THEN BEGIN MRStrongPlayStory3
		SAY ~Yeah, well, that's right.~
		IF ~~ THEN GOTO MRStrongPlay2
	END

	IF ~~ THEN BEGIN MRStrongPlayStory2
		SAY ~Argh! Just don't tell me, alright? You'll have to make it up to me. For your own good, it would be better if I don't miss anything else.~
		IF ~~ THEN GOTO MRStrongPlay2
	END

	IF ~~ THEN BEGIN MRStrongPlay2
		SAY ~But anyway... (She looks around her, taking in the whole room) It's a nice place you've got here.~
		=
		~C'mon, let's go.~
		++ ~Wait, wait. Imoen, umm... wouldn't you like to play here?~ GOTO MRStrongPlayPlay
		++ ~Don't you want to perform for my public? (wink at her)~ GOTO MRStrongPlayPlay
		IF ~Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~(While she is still distracted, you lock your hands together behind her back and pull her towards you so you can kiss her.)~ GOTO MRStrongPlayKiss
		++ ~Alright.~ EXIT
		++ ~I'm the one that gives orders here. *I* say when we go and when we stay.~ GOTO MRStrongPlayRude
	END

	IF ~~ THEN BEGIN MRStrongPlayKiss
		SAY ~(Imoen is surprised by your sudden ardor, but she gladly returns your favors. When you finally stop to take a breath, she smiles and nuzzles you affectionately.)~
		=
		~I don't know why ya did that, but it's not like you need a reason every time.~
		++ ~Well, I wanted to soften you up before I asked you something about the playhouse.~ GOTO MRStrongPlayAsk
		++ ~*You* are my reason, Imoen. The one and only in my life.~ GOTO MRStrongPlayCheese
		++ ~That's right. Let's move on.~ EXIT
		++ ~Imoen... theere are plenty of rooms to rent upstairs. What do you say we...~ GOTO MRStrongPlayHint
	END

	IF ~~ THEN BEGIN MRStrongPlayHint
		SAY ~Ugh. You had to ruin it with that, huh? I told you... four times a ten-day, and no more. (She giggles, winks, and walks off a few paces.)~
		=
		~(But turns to consider you with a gleam in her eye.)~
		=
		~(Imoen slides back over to you again, takes your head in her hands, and whispers softly in your ear.)~
		=
		~You know I was only joking... right? (Imoen gently nips your earlobe and steps away, with a suggestive look in her eyes.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongPlayCheese
		SAY ~(Imoen sighs deeply) So sweet...~
		=
		~But we should get moving already, <CHARNAME>! And I won't be able to do so if you keep holding me like this.~
		=
		~*Ahem* Maybe you should release me while I still can manage some... restraint.~
		++ ~No, no, wait. I wanted to ask you something about the playhouse.~ GOTO MRStrongPlayAsk
		++ ~And just *who* would want you to do that?~ GOTO MRStrongPlayHint
		++ ~Oh, alright...~ EXIT
		++ ~Imoen... there are plenty of rooms awaiting us upstairs.~ GOTO MRStrongPlayHint
	END

	IF ~~ THEN BEGIN MRStrongPlayAsk
		SAY ~Go on then...~
		++ ~I was wondering if you would play here, Imoen. You'd be famous!~ GOTO MRStrongPlayPlay
		++ ~You can perform here for my public. (wink at her.)~ GOTO MRStrongPlayPlay
		++ ~Um, no, on second thought, it was nothing.~ GOTO MRStrongPlayChicken
	END

	IF ~~ THEN BEGIN MRStrongPlayChicken
		SAY ~Oh? Well, okay then...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongPlayPlay
		SAY ~(Imoen's eyes widen. She steps away from you) P-p-play here? In f- front of *people*? No way, not a chance!~
		IF ~!NumInPartyGT(2)~ THEN REPLY ~Why not? You are great, and you played in front of me!~ GOTO MRStrongPlayPlayed
		IF ~NumInPartyGT(2)~ THEN REPLY ~Why not? You are great, and you played in front of me and the rest of the party!~ GOTO MRStrongPlayPlayed
		++ ~Oh don't be chicken. I though you more adventurous than that.~ GOTO MRStrongPlayPlayChicken
		++ ~Hmmm. I'll pay you?~ GOTO MRStrongPlayPay
		++ ~Whoa, I didn't think you'd get so upset.~ GOTO MRStrongPlayPlayMad
		++ ~Yeah you're right, you have no talent at all. I'll forget about it and forget about all the money I'd make with you performing up there.~ GOTO MRStrongPlayReverse
		++ ~Fine, no need to get mad. You don't have to do anything you don't want to.~ GOTO MRStrongPlayPlayHave
		++ ~Meh, you're pathetic. Bugger off.~ GOTO MRStrongPlayReverse
	END

	IF ~~ THEN BEGIN MRStrongPlayReverse
		SAY ~Hah, reverse psychology? I'm smarter than that, thank you.~
		=
		~There's no way you can get me on a stage, so forget about it!~
		++ ~But-~ GOTO MRStrongPlayPlayFinal
		++ ~Oh, oka-~ GOTO MRStrongPlayPlayFinal
		++ ~Bah!~ GOTO MRStrongPlayPlayFinal
	END

	IF ~~ THEN BEGIN MRStrongPlayPlayFinal
		SAY ~Hush! That's final!~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongPlayPlayHave
		SAY ~Of course I don't have to! That's why I'm not gonna do it!~
		++ ~But-~ GOTO MRStrongPlayPlayFinal
		++ ~Oh, oka-~ GOTO MRStrongPlayPlayFinal
		++ ~Bah!~ GOTO MRStrongPlayPlayFinal
	END

	IF ~~ THEN BEGIN MRStrongPlayPlayMad
		SAY ~Well, I am! There's no way you can get me on a stage, so forget about it!~
		++ ~But-~ GOTO MRStrongPlayPlayFinal
		++ ~Oh, oka-~ GOTO MRStrongPlayPlayFinal
		++ ~Bah!~ GOTO MRStrongPlayPlayFinal
	END

	IF ~~ THEN BEGIN MRStrongPlayPay
		SAY ~(She jabs her finger at your chest) No! N-O, no!~
		=
		~There's no way you can get me on a stage, so forget about it!~
		++ ~But-~ GOTO MRStrongPlayPlayFinal
		++ ~Oh, oka-~ GOTO MRStrongPlayPlayFinal
		++ ~Bah!~ GOTO MRStrongPlayPlayFinal
	END

	IF ~~ THEN BEGIN MRStrongPlayPlayChicken
		SAY ~Nope, you thought wrong. There's no way you can get me on a stage, so forget about it!~
		++ ~But-~ GOTO MRStrongPlayPlayFinal
		++ ~Oh, oka-~ GOTO MRStrongPlayPlayFinal
		++ ~Bah!~ GOTO MRStrongPlayPlayFinal
	END

	IF ~~ THEN BEGIN MRStrongPlayPlayed
		SAY ~That's completely different! I played for *you* because you've been with me all my life and I felt comfortable around you!~
		=
		~But- but *there* (she points at the stage) I'd melt into a mustard jelly in matter of seconds!~
		++ ~Oh c'mon Imoen, do it for me. Pretty please?~ GOTO MRStrongPlayPlayFinal2
		++ ~You're talented enough for the risk to be worth it.~ GOTO MRStrongPlayNotMe
		++ ~But I'll pay you!~ GOTO MRStrongPlayPay
		++ ~Oh, don't be chicken. I thought you were more adventurous than this.~ GOTO MRStrongPlayPlayChicken
		++ ~Alright. But will you promise to at least play for me again?~ GOTO MRStrongPlayPlayPromise
		++ ~Yeah you're right, you have no talent at all. I'll forget about it and forget about all the money I'd make with you performing up there.~ GOTO MRStrongPlayReverse
		++ ~Fine, no need to get mad. You don't have to do anything you don't want to.~ GOTO MRStrongPlayPlayMad
		++ ~Meh, you're pathetic. Bugger off.~ GOTO MRStrongPlayReverse
	END

	IF ~~ THEN BEGIN MRStrongPlayNotMe
		SAY ~For *you*, maybe, but not me. There's no way you can get her on a stage, so forget about it!~
		++ ~But-~ GOTO MRStrongPlayPlayFinal
		++ ~oh, oka-~ GOTO MRStrongPlayPlayFinal
		++ ~Bah!~ GOTO MRStrongPlayPlayFinal
	END

	IF ~~ THEN BEGIN MRStrongPlayPlayFinal2
		SAY ~Oh-ho-ho, NOPE. There's no way you can get me on a stage, so forget about it!~
		++ ~But-~ GOTO MRStrongPlayPlayFinal
		++ ~oh, oka-~ GOTO MRStrongPlayPlayFinal
		++ ~Bah!~ GOTO MRStrongPlayPlayFinal
	END

		IF ~~ THEN BEGIN MRStrongPlayPlayPromise        //// The change to this state was intentional. It just didn't flow naturally, from clammy and annoyed back to romantic.

		SAY ~Uh, for- y-yeah, of course... some day. But *not* up there. I will *never* get on a stage, understand?~
		=
		~(She huffs.) Eugh, I get all clammy just thinkin' about it.~
		IF ~~ THEN EXIT
       END
END


/* STRONGHOLD COMMENT - DRUID GROVE */

APPEND IMOEN2J
	IF WEIGHT #666
	~Global("MRStrongholdTalkDrui","GLOBAL",1)~ THEN BEGIN MRStrongGrove
		SAY ~(Imoen takes a deep breath and looks around her, apparently enjoying what she sees.)~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkDrui","GLOBAL",2)~ GOTO MRStrongGrove1
	END

	IF ~~ THEN BEGIN MRStrongGrove1
		SAY ~So you own this neat grove, huh?~
		=
		~Yeah, alright, I know you don't *own* it, but y'know what I mean.~
		=
		~I'm sure there's a nice'n'dandy story full of crazy people about how you came to rule this place, huh?~
		++ ~There sure is! (Tell her all about it as she wishes.)~ GOTO MRStrongGroveStory
		IF ~Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~I'll tell you... for a price. (Touch your smiling lips with your index finger.)~ GOTO MRStrongGroveSex
		++ ~Yes, but it's too long and boring and we can't spare the time.~ GOTO MRStrongGroveLong
		++ ~Not at all: Trademeet hired me, I came along, killed everyone, and claimed it as mine, and was paid for it to boot!~ GOTO MRStrongGroveEvil
		++ ~Yes, and it's none of your business.~ GOTO MRStrongGroveExit
		++ ~No there isn't. Let's go.~ GOTO MRStrongGroveExit
	END

	IF ~~ THEN BEGIN MRStrongGroveExit
		SAY ~(Imoen huffs) I don't know why you have to be so mean sometimes. Maybe you should change your undergarments more often.~
		=
		~At least the *place* is pleasant...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongGroveEvil
		SAY ~Yeah, you've got a talent for telling stories, dontcha? (Imoen rolls her eyes)~
		=
		~Oh well... nice place you got here. I'll enjoy roaming about.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongGroveLong
		SAY ~Why do you always have all these long stories? I want long stories too!~
		=
		~Oh well... nice place you got here. I'll enjoy roaming about.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongGroveSex
		SAY ~I can do better than that. (Imoen approaches you and wraps her arms around your waist, pulling you close. Her open mouth beckons for yours and, as she kisses you, her tongue dashes in and out of your mouth.)~ [ MRImRom6 ]
		IF ~~ THEN GOTO MRStrongGroveSex1
	END

	IF ~~ THEN BEGIN MRStrongGroveStory
		SAY ~Hmm, alright. Not a bad story at all. I've learned so many new things today!~
		=
		~Oh well... nice place you got here. I'll enjoy roaming about and talking to the birds and kicking the rabbits and whatnot.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongGroveSex2
		SAY ~(Ignoring their comments, Imoen continues to bestow her affections upon you. It's quite the distraction, so much so that breathing is a difficult task to accomplish.)~
		=
		~(She finally relents, but only after she licks your lips one more time, smiling in anticipation.)~
		++ ~Uh, about that story...~ GOTO MRStrongGroveSex3
		++ ~Whoa. What got into you?~ GOTO MRStrongGroveSex4
		++ ~I liked that. A lot.~ GOTO MRStrongGroveSex4
		++ ~Well, uh, we should get moving.~ GOTO MRStrongGroveSex4
	END

	IF ~~ THEN BEGIN MRStrongGroveSex3
		SAY ~To Hell with the damn story...~
		IF ~~ THEN GOTO MRStrongGroveSex4
	END

	IF ~~ THEN BEGIN MRStrongGroveSex4
		SAY ~(Imoen's smile becomes mischievous. Almost... wicked.)~
		IF ~~ THEN GOTO MRStrongGroveSex5
	END

	IF ~~ THEN BEGIN MRStrongGroveSex5
		SAY ~I want you. I *need* you... now.~
		++ ~(Nod your head and smile, all too eager to comply.)~ GOTO MRStrongGroveSexAccept
		++ ~You don't have to ask twice!~ GOTO MRStrongGroveSexAccept
		++ ~Really? I'm sorry, but I don't think this is the place or the time.~ GOTO MRStrongGroveSexMaybe
		++ ~That's mighty forward of you. I like it!~ GOTO MRStrongGroveSexAccept
		++ ~Alright, bring it on, you little slut.~ GOTO MRStrongGroveSexSlut
		++ ~Stop it, I'm not in the mood.~ GOTO MRStrongGroveSexNo
		++ ~You sound like one of the Copper Coronet harlots, Imoen. I'm disappointed in you. You are not the woman I fell in love with.~ GOTO MRStrongGroveSexHarlot2
	END

 IF ~~ THEN BEGIN MRStrongGroveSexSlut
 SAY ~(Her smile fades) Excuse me?~
 = ~(She pushes you away) You can't talk to me like that. I'm not into that, you understand? You got the wrong idea entirely.~
 = ~I'm going to just take it as a misunderstanding. But there's yer warning, <CHARNAME>. Don't do that again.~
 IF ~~ THEN EXIT
 END

	IF ~~ THEN BEGIN MRStrongGroveSexHarlot2
		SAY ~(Imoen's smile fades) B-but... what?~
		=
		~How dare you. How dare you! (Imoen forcefully pushes you away, her eyes filling with tears.)~
		=
		~I hate you!~
		=
		~(Humiliated, Imoen runs away as fast as her legs will take her.)~
		IF ~!IsValidForPartyDialog("Aerie")~ THEN GOTO MRStrongGroveSexHarlot2chain
		IF ~IsValidForPartyDialog("Aerie")~THEN EXTERN AERIEJ MRStrongGroveSexHarlot2achain
	END

	IF ~~ THEN BEGIN MRStrongGroveSexNo
		SAY ~(Imoen's is at a loss for words) B- but <CHARNAME>!~
		++ ~Oh, alright. it's impossible to resist you, no matter how much I try.~ GOTO MRStrongGroveSexAccept
		++ ~I'm serious. I'm not in the mood. Maybe another time, okay?~ GOTO MRStrongGroveSexNo2
		++ ~You sounded like a Copper Coronet harlot, Imoen. I'm disappointed in you. You are not the woman I fell in love with.~ GOTO MRStrongGroveSexHarlot2
	END

	IF ~~ THEN BEGIN MRStrongGroveSexNo1
		SAY ~But, uh... (She whispers to you in embarrassment) this is very *frustrating* for me, if you know what I mean. What am I supposed to do now?~
		++ ~Oh, alright. I can't resist you. Duty calls.~ GOTO MRStrongGroveSexAccept
		++ ~I'm sorry, Imoen, but I can't. You'll have to figure it out.~ GOTO MRStrongGroveSexNo2
		++ ~You sound like a Copper Coronet harlot, Imoen. I'm really disappointed in you. You are not the woman I fell in love with.~ GOTO MRStrongGroveSexHarlot2
	END

	IF ~~ THEN BEGIN MRStrongGroveSexNo2
		SAY ~Urrgh! Yer supposed to take care of this kind of thing...~
		=
		~Fine! I'll just... whatever! I don't know why I feel like this, but I can't stand it.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongGroveSexAccept
		SAY ~(Imoen licks her lips.)~
		IF ~~ THEN GOTO MRStrongGroveScore
	END

	IF ~~ THEN BEGIN MRStrongGroveSexMaybe
		SAY ~(Imoen licks her lips and smiles) I bet I can change your mind about that...~
		IF ~~ THEN GOTO MRStrongGroveScore
	END

	IF ~~ THEN BEGIN MRStrongGroveScore
		SAY ~(She kisses you again, sliding her hands from your waist down to your hips. Pulling you even closer, she presses against you again.)~
		IF ~~ THEN GOTO MRStrongGroveScorechain
	END

	IF ~~ THEN BEGIN MRStrongGroveScore2
		SAY ~(Driven by passion Imoen leads you deeper into the grove, pushes you onto the ground.)~
		=
		~(You roll in the grass like love-struck teenagers, oblivious to everything but each other's caress.)~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkDrui","GLOBAL",3)
		StartCutSceneMode() StartCutScene("Cut34a")~ EXIT
	END

	IF ~Global("MRStrongholdTalkDrui","GLOBAL",4)~ THEN BEGIN MRStrongGroveAfter
		SAY ~...~ [ MRImRom5 ]
	IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkDrui","GLOBAL",5) ActionOverride(Player1,SetDialog("Player1"))~ GOTO MRStrongGroveAfterExtern
	END

		IF ~~ THEN BEGIN MRStrongGroveAfterExtern
		SAY ~<CHARNAME>...~ [ MRImRom5 ]
		IF ~~ THEN EXTERN PLAYER1 MRStrongGroveAfter2
	END

	IF ~~ THEN BEGIN MRStrongGroveAfter3
		SAY ~I'm sorry for... this. What I did.~
		=
		~I don't know what got into me. It was like... like a weird tingly sensation all over my body, and you were the only way to make it go away. It just wasn't me, I behaved like... well, like a slut. And you know that's not me, right?~
		=
		~I... I'm not proud of myself right now.~
		++ ~Are you saying that you didn't enjoy what we shared?~ GOTO MRStrongGroveEnjoy
		++ ~I don't understand. There's nothing to be ashamed of. You have a body and your body has needs.~ GOTO MRStrongGroveAfterNeeds
		++ ~You *should* feel proud, though. That was one of the best experiences of my life.~ GOTO MRStrongGroveAfterGreat
		++ ~Why?~ GOTO MRStrongGroveAfterWhy
		++ ~I understand. You were very... intense.~ GOTO MRStrongGroveAfterIntense
		++ ~Yes, and I am certainly disappointed in you.~ GOTO MRStrongGroveAfterDis
		++ ~I always knew you were a whore. It's about time you accepted it.~ GOTO MRStrongGroveAfterHarlot1
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterHarlot1
		SAY ~(Imoen stares at you) What the Hell is wrong with you? I'm opening my heart to you here, and you just took a crap all over it!~
		=
		~I don't care if you were joking, which I certainly doubt. This is... this is just sickening. I can't stand the sight of you anymore.~
		=
		~You won't ever touch me again.~
		=
		~(Imoen grabs her clothes, dresses quickly, and leaves your side. You hear her sobs shortly after.)~
		IF ~~ THEN DO ~ SetGlobal("ImoenRomanceActive","GLOBAL",3)~ EXIT
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterDis
		SAY ~Please, please don't say that, I know it was bad, it's what I'm getting at!~
		IF ~~ THEN GOTO MRStrongGroveAfterNext
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterIntense
		SAY ~To put it lightly...~
		IF ~~ THEN GOTO MRStrongGroveAfterNext
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterWhy
		SAY ~"Why"? Why, <PRO_HESHE> asks!~
		IF ~~ THEN GOTO MRStrongGroveAfterNext
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterGreat
		SAY ~I'm not talking about *that*, you dunderhead!~
		IF ~~ THEN GOTO MRStrongGroveAfterNext
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterNeeds
		SAY ~Yeah, well, but it was too much.~
		IF ~~ THEN GOTO MRStrongGroveAfterNext
	END

	IF ~~ THEN BEGIN MRStrongGroveEnjoy
		SAY ~Well, no, of course I enjoyed it. It was great. A little *too* great.~
		IF ~~ THEN GOTO MRStrongGroveAfterNext
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterNext
		SAY ~I acted like... like... I don't even want to say the word. I just had no restraint at all, I wanted sex, no holds barred.~
		=
		~I'm not like that. I love sweetness. I love tenderness. Passion comes from love, not just raw desire. But a few hours ago, you were just a tool, and not the one that I love more than my own life.~
		=
		~I didn't even notice when I got that nosebleed!~
		++ ~I wouldn't worry about it too much. Might be as simple as an insect bite.~ GOTO MRStrongGroveAfterBugs
		++ ~I'm almost positive that it was that Telunara Drasiphea bush you see over there. Its pollen is known to affect sensitive people in this manner.~ GOTO MRStrongGroveAfterBugs
		++ ~Perhaps you are changing, Imoen? Some people call it 'growing up.'~ GOTO MRStrongGroveAfterGrow
		++ ~I'll love you no matter how naughty you get, Imoen. (Beam a smile at her.)~ GOTO MRStrongGroveAfterNaughty
		++ ~This is really not a big deal. It's okay to let go sometimes. Healthy, even.~ GOTO MRStrongGroveAfterLetGo
		++ ~Yeah, whatever. We should be on the road already.~ GOTO MRStrongGroveAfterCrass
	END

 IF ~~ THEN BEGIN MRStrongGroveAfterLetGo
 SAY ~Hah. I didn't just "let go", though. I ran wild. I didn't know I could be like that. I don't *like* being like that.~
 = ~I'll just... learn from it, I guess. There isn't much I can do about it now, other than stew in shame.~
 = ~We should just get going. I'll be okay.~
 IF ~~ THEN EXIT
 END


	IF ~~ THEN BEGIN MRStrongGroveAfterCrass
		SAY ~Now, that's "sweet and tender" of you, <CHARNAME>. (She sighs) C'mon, I don't want to bore you anymore with my stupid and meaningless worries.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterNaughty
		SAY ~That's sweet, but it's not a matter of you loving me. It's a matter of *me* liking *myself*. And I DON'T like a sex-crazed Imoen that does all sort of dirty things with not a care in the world.~
		IF ~~ THEN GOTO MRStrongGroveAfterLast
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterGrow
		SAY ~I've "grown up" more than enough for my liking, thank you...~
		IF ~~ THEN GOTO MRStrongGroveAfterLast
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterBugs
		SAY ~Uh... really?~
		=
		~Hmm... I hadn't thought of that. Are you sure?~
		++ ~Hey - I'm a druid, it's my job.~ GOTO MRStrongGroveAfterBugsLast
		++ ~Well, no. I think that perhaps you are just changing. Some people call it 'growing up.'~ GOTO MRStrongGroveAfterGrow
		++ ~Not really, but I'll love you no matter how naughty you get, Imoen. (Beam a smile at her.)~ GOTO MRStrongGroveAfterNaughty
		++ ~Not really, but this is really not a big deal. It's okay to let go sometimes. Healthy, even.~ GOTO MRStrongGroveAfterLetGo
		++ ~No, and I don't really care. We should be on the road already.~ GOTO MRStrongGroveAfterCrass
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterLast
		SAY ~I must get a grip on my desires. I don't want to become a... a *Viconia*!~
		=
		~So, alright. (She kisses your shoulder) From now on, less sex, more love, you understand? So you better be a sweet <PRO_MANWOMAN>, hmm? (Winking at you, she takes her clothes and stands up to put them on.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongGroveAfterBugsLast
		SAY ~(She smiles and kisses your shoulder) Good to hear that. I was worried. I just don't want to - I dunno - become some kind of dirty sex slut or something. (Winking at you, she takes her clothes and stands up to put them on.)~
 = ~Well, time to get going, I guess.~
		IF ~~ THEN EXIT
	END
END

APPEND PLAYER1
	IF ~Global("MRGroveNextMorning","GLOBAL",1)~ THEN BEGIN MRStrongGroveAfter2
	SAY ~(You open your eyes to see Imoen resting on her elbows, hair disheveled around her face in a rose-colored whirlwind. Naked next to you under the blankets, she seems to have been watching you sleep.)~
	IF ~~ THEN EXTERN IMOEN2J MRStrongGroveAfter3
	END
END


CHAIN IMOEN2J MRStrongGroveScorechain
~Mmmmn... you know, I'm beginning to think trees are an aphrodisiac for me. Let's find some place more private, eh?~
== JAHEIRAJ IF ~IsValidForPartyDialog("Jaheira")~ THEN ~Why doesn't this surprise me?~
== EDWINJ IF ~IsValidForPartyDialog("Edwin")~ THEN ~Again we must wait while these primal beasts satisfy their urges.~
== NALIAJ IF ~IsValidForPartyDialog("Nalia") NumInPartyGT(3)~ THEN ~Uh... and what are we supposed to do in the meantime?~
== NALIAJ IF ~IsValidForPartyDialog("Nalia") !NumInPartyGT(3)~ THEN ~Uh... and what am I supposed to do in the meantime?~
== MINSCJ IF ~IsValidForPartyDialog("Minsc")~ THEN ~Oh well... Let's explore this grove, Boo!~
== VALYGARJ IF ~IsValidForPartyDialog("Valygar")~ THEN ~Well, I can always sharpen my weapons again.~
== KELDORJ IF ~IsValidForPartyDialog("Keldorn")~ THEN ~(Keldorn sighs and sits down) Patience is a virtue, they say.~
== KORGANJ IF ~IsValidForPartyDialog("Korgan")~ THEN ~Bloody twits... bloody trees, bloody animals! Bloody grove!~
END IMOEN2J MRStrongGroveScore2

APPEND AERIEJ
	IF ~~ THEN BEGIN MRStrongGroveSexHarlot2achain
	SAY ~Imoen, no! (Aerie turns to you with true anger in her eyes) Y-you are a cruel... a cruel piece of- of- of- (Her anger towards you is so great that it chokes off whatever word she is trying to say. Instead she turns on her heel and runs off after her friend)~
	IF ~~ THEN DO ~LeaveParty()
	EscapeArea()~ EXTERN IMOEN2J MRStrongGroveSexHarlot2chain
	END
END


CHAIN IMOEN2J MRStrongGroveSexHarlot2chain
~(Imoen runs crying into the grove.)~
== NALIAJ IF ~IsValidForPartyDialog("Nalia") IsValidForPartyDialog("Aerie")~ THEN ~I second that. You are a bastard.~
==NALIAJ IF ~IsValidForPartyDialog("Nalia") !IsValidForPartyDialog("Aerie")~ THEN ~Imoen! (Nalia turns to you) You bastard!~
== JAHEIRAJ IF ~IsValidForPartyDialog("Jaheira")~ THEN ~I pity you, <CHARNAME>.~
== VICONIJ IF ~IsValidForPartyDialog("Viconia") IsValidForPartyDialog("Jaheira")~ THEN ~For once we agree on something, half-breed.~
== VICONIJ IF ~IsValidForPartyDialog("Viconia") !IsValidForPartyDialog("Jaheira")~ THEN ~Pathetic.~
== MINSCJ IF ~IsValidForPartyDialog("Minsc")~ THEN ~I should let Boo eat your ears off, cruel one!~
END PLAYER1 MRStrongGroveSexHarlot3

APPEND PLAYER1
	IF ~~ THEN BEGIN MRStrongGroveSexHarlot3
	SAY ~(You don't understand why she got so upset. Perhaps your words were true after all.)~
	IF ~~ THEN DO ~ActionOverride("Imoen2",LeaveParty())
		ReputationInc(-2) ActionOverride(Player1,ApplySpellRES("SPMRACNE",Player1))
		ActionOverride("Imoen2",EscapeArea())~ EXIT
	END
END

CHAIN IMOEN2J MRStrongGroveSex1
~(It would seem your playful suggestion has triggered a surge of passion and desire that you didn't expect.) ~
== JAHEIRAJ IF ~IsValidForPartyDialog("Jaheira")~ THEN ~I am no longer surprised by your behavior.~
== AERIEJ IF ~IsValidForPartyDialog("Aerie") IsValidForPartyDialog("Jaheira")~ THEN ~Oh Jaheira, leave them be... they seem so happy!~
== AERIEJ IF ~IsValidForPartyDialog("Aerie") !IsValidForPartyDialog("Jaheira")~ THEN ~Hehehee, it's so sweet. But, really, you should stop to catch your breath a bit!~
== NALIAJ IF ~IsValidForPartyDialog("Nalia")~ THEN ~Oh, here we go again... don't you two ever get enough of that?~
== KORGANJ IF ~IsValidForPartyDialog("Korgan")~ THEN ~I be sick of yer neverendin' bloody huggin' an' kissin'!~
== VICONIJ IF ~IsValidForPartyDialog("Viconia") IsValidForPartyDialog("Korgan")~ THEN ~This dwarf is right. Stop wasting my time, kl'eril auflaqui.~
== VICONIJ IF ~IsValidForPartyDialog("Viconia") !IsValidForPartyDialog("Korgan")~ THEN ~Your never-ending kisses are making me sick, kl'eril auflaqui.~
END IMOEN2J MRStrongGroveSex2


/* STRONGHOLD COMMENT - PLANAR SPHERE */

APPEND IMOEN2J
	IF WEIGHT #666
	~Global("MRStrongholdTalkMage","GLOBAL",1)~ THEN BEGIN MRStrongSphere
		SAY ~Hmm...~
		IF ~~ THEN DO ~SetGlobal("MRStrongholdTalkMage","GLOBAL",2)~ GOTO MRStrongSphere1
	END

	IF ~~ THEN BEGIN MRStrongSphere1
		SAY ~Weird place.~
		++ ~Yes, and it's all mine!~ GOTO MRStrongSphereHome
		IF ~Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~(Embrace her, smiling wide) Don't you like it? It's perfect - it will be our home!~ GOTO MRStrongSphereHome
		IF ~!Global("ImoenRomanceActive","GLOBAL",2)~ THEN REPLY ~Get used to it, it's the closest to 'home' you have right now.~ GOTO MRStrongSphereHome
		++ ~Yeah, you're right. But you'll find it's pretty spacious and comfortable, too.~ GOTO MRStrongSphereHome
		++ ~And it gets weirder and weirder as you walk through it. It sickens me, as a matter of fact.~ GOTO MRStrongSphereCont
		++ ~I won't let you offend her like that. Tell her you are sorry, now.~ GOTO MRStrongSphereStrange
		++ ~Must you always say something? Gods, just shut up!~ GOTO MRStrongSphereJerk
	END

	IF ~~ THEN BEGIN MRStrongSphereJerk
		SAY ~Well excuse me, my <PRO_LADYLORD>! Enjoy your stupid smelly sphere in silence!~
		=
		~Troll brain...~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongSphereStrange
		SAY ~Uh... who, exactly?~
		++ ~Oh, forget about it. What do you think of my great place?~ GOTO MRStrongSphereCont
		++ ~Meh, you don't understand, no one ever understands!~ GOTO MRStrongSphereStrange1
		++ ~HER! The sphere! Can't you hear her? You hurt the feelings of my poor little planar sphere!~ GOTO MRStrongSphereStrange2
		++ ~Agh, shut up! Must you always say something?~ GOTO MRStrongSphereJerk
	END

	IF ~~ THEN BEGIN MRStrongSphereStrange1
		SAY ~Yeah, that's right. Hearing voices in your head again, huh? Don't worry, think of strawberries. It always helps.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongSphereStrange2
		SAY ~Alright, very well. Um, excuse me, Miss Planar Sphere. I am very sorry for hurting your feelings. I won't do it again, Miss Planar Sphere.~
		=
		~(Imoen slowly steps away from you.)~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongSphereHome
		SAY ~Yay! We have a huge gray ball all to ourselves. Excuse me if I don't jump from joy.~
		IF ~~ GOTO MRStrongSphereCont
	END

	IF ~~ THEN BEGIN MRStrongSphereCont
		SAY ~Well... other than *stinking*, does it do anything?~
		++ ~It traveled through planes, but it's broken now.~ GOTO MRStrongSphereBroken
		++ ~It's none of your business.~ GOTO MRStrongSphereJerk
		++ ~It's a huge ice cream factory.~ GOTO MRStrongSphereIce
		++ ~Not at all.~ GOTO MRStrongSphereNothing
		IF ~CheckStatLT(Player1,7,WIS)
			CheckStatGT(Player1,16,CHR)
			CheckStatGT(Player1,14,INT)
			Alignment(Player1,CHAOTIC_NEUTRAL)~ THEN REPLY ~Actually, it was built in the future as an enormous movie set. "The Matrix V: Crazy Computers Strike Back" will be filmed in here about four thousand years from now.So I can say that this thing time-travels, too.~ GOTO MRStrongSphereEE
	END

	IF ~~ THEN BEGIN MRStrongSphereEE
		SAY ~Oh Gods, two sequels were enough. Please tell me you're just acting crazy again.~
		= ~Actually, I'd rather you just didn't say anything anymore. I can take only so much crazy.~
		IF ~~ THEN EXIT
	END

	IF ~~ THEN BEGIN MRStrongSphereNothing
		SAY ~(Imoen huffs.)~
		IF ~~ THEN GOTO MRStrongSphereNext
	END

	IF ~~ THEN BEGIN MRStrongSphereIce
		SAY ~Yeah, well, very funny.~
		IF ~~ THEN GOTO MRStrongSphereNext
	END

	IF ~~ THEN BEGIN MRStrongSphereBroken
		SAY ~Really? Wow, that's actually great! Maybe I can fix it when all of this ends. If it ever does! I'm sure it'll just take a few good kicks in the right places for this thing to purr like a kitty again.~
		IF ~~ THEN GOTO MRStrongSphereNext
	END

	IF ~~ THEN BEGIN MRStrongSphereNext
		SAY ~Oh well. <CHARNAME>, hand over some gold. We're going shopping for some curtains, cushions, and a dresser with a mirror... (She sighs, and immediately starts coughing) Yuk. But first of all, let's get rid of this *awful* smell!~
		=
		~A lot of work needs to be done here - this requires a *massive* feminine touch! Hmmm... I'll get the golem to work on this place while we're not here.~
		IF ~~ THEN DO ~SetGlobal("MRGolemOrder","GLOBAL",1)~ EXIT
	END
END

ADD_TRANS_TRIGGER OBSGOL01 8 ~OR(3) !IsValidForPartyDialog("Imoen2") Global("MRGolemOrder","GLOBAL",2) Global("MRGolemOrder","GLOBAL",3)~ DO 0

EXTEND_BOTTOM OBSGOL01 8
 IF ~IsValidForPartyDialog("Imoen2")
		Global("MRGolemOrder","GLOBAL",1)~THEN DO ~SetGlobal("MRGolemOrder","GLOBAL",2)~ EXTERN IMOEN2J MRPSMRGol
END

ADD_STATE_TRIGGER OBSGOL01 4
	~!Global("MRGolemOrder","GLOBAL",2)~

CHAIN IMOEN2J MRPSMRGol
 ~Yeah, well, I speak on his behalf. Look, Golemsey, I need you to...-~
 ==OBSGOL01 ~This servant obeys only <CHARNAME>.~
 ==IMOEN2J ~Yeah, yeah, I heard you the first time, cut that crap already. First thing you'll do-~
 ==OBSGOL01 ~This servant obeys only <CHARNAME>.~
 ==IMOEN2J ~What's wrong with you? It's very simple, the only thing you gotta do is-~
 ==OBSGOL01 ~This servant obeys onl-~
 ==IMOEN2J ~Hey SHUT UP AND LISTEN! You will CLEAN this place, and better if you do it BEFORE we get back!~
==OBSGOL01 ~...~
==OBSGOL01 ~... This serv-~
==IMOEN2J ~DO YOU WANT TO BE IN PIECES INSIDE THOSE TANKS AGAIN, GOLEM!?~
==OBSGOL01 ~...~
==OBSGOL01 ~This servant obeys.~
==IMOEN2J ~That's what I thought. Don't leave any of those Halfling innards lying on the ground, they stink really bad. And open some windows. If there aren't any, make some, understood?~
==OBSGOL01 ~This servant obeys only Imoen.~
==IMOEN2J~Excellent. See ya!~
EXIT

APPEND OBSGOL01
	IF ~Global("MRGolemOrder","GLOBAL",2)~ THEN BEGIN MRGolemObey
		SAY ~This servant obeys only Imoen.~
		IF ~!IsValidForPartyDialog("Imoen2")~ THEN EXIT
		IF ~IsValidForPartyDialog("Imoen2")~ THEN REPLY ~What the...!~ EXTERN IMOEN2J MRStrongSphereGolemTwisted
	END

	IF ~~ THEN BEGIN PSMRgolt3b
		SAY ~This servant obeys Imoen.~
		IF ~~ THEN DO ~SetGlobal("MRGolemOrder","GLOBAL",3)~ GOTO 4
	END
END

APPEND IMOEN2J
	IF ~~ THEN BEGIN MRStrongSphereGolemTwisted
		SAY ~Heheheee! Looks like the golem has a new master!~
		++ ~Imoen... I need the golem.~ GOTO MRStrongSphereGolemRestore
		++ ~(You shrug) Very well, I didn't really need it.~ EXIT
	END

	IF ~~ THEN BEGIN MRStrongSphereGolemRestore
		SAY ~Oh alright...~
		= ~Golemsey, yer under <CHARNAME>'s command again. But don't forget what I told you, you still have to do what I wanted you to do, alright?~
		IF ~~ THEN EXTERN OBSGOL01 PSMRgolt3b
	END
END




